Coin: SoEngineOutputList Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

Public Member Functions | List of all members
SoEngineOutputList Class Reference
Engine Classes

The SoEngineOutputList class is a container for SoEngineOutput objects. More...

`#include <Inventor/lists/SoEngineOutputList.h>`

Inheritance diagram for SoEngineOutputList:

## Public Member Functions
| SoEngineOutputList (void)
| SoEngineOutputList (const int sizehint)
| SoEngineOutputList (const SoEngineOutputList &l)
void | append (SoEngineOutput *output)
void | insert (SoEngineOutput *output, const int insertbefore)
SoEngineOutput * | operator[] (const int idx) const
void | set (const int idx, SoEngineOutput *item)
Public Member Functions inherited from SbPList
| SbPList (const int sizehint=DEFAULTSIZE)
| SbPList (const SbPList &l)
| ~SbPList ()
void | copy (const SbPList &l)
SbPList & | operator= (const SbPList &l)
void | fit (void)
void | append (void *item)
int | find (const void *item) const
void | insert (void *item, const int insertbefore)
void | removeItem (void *item)
void | remove (const int index)
void | removeFast (const int index)
int | getLength (void) const
void | truncate (const int length, const int fit=0)
void ** | getArrayPtr (const int start=0) const
void *& | operator[] (const int index) const
int | operator== (const SbPList &l) const
int | operator!= (const SbPList &l) const
void * | get (const int index) const
void | set (const int index, void *item)

## Additional Inherited Members
Protected Member Functions inherited from SbPList
void | expand (const int size)
int | getArraySize (void) const

## Detailed Description

The SoEngineOutputList class is a container for SoEngineOutput objects.

See also
  SbList

## Constructor & Destructor Documentation

## ◆ SoEngineOutputList() [1/3]

SoEngineOutputList::SoEngineOutputList | ( | void |  | ) |
| inline

Default constructor.

## ◆ SoEngineOutputList() [2/3]

SoEngineOutputList::SoEngineOutputList | ( | const int | sizehint | ) |
| inline

This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items.

## ◆ SoEngineOutputList() [3/3]

SoEngineOutputList::SoEngineOutputList | ( | const SoEngineOutputList & | l | ) |
| inline

Copy constructor.

## Member Function Documentation

## ◆ append()

void SoEngineOutputList::append | ( | SoEngineOutput * | output | ) |
| inline

Append item to the end of the list.

Automatically allocates more items internally if needed.

Overloaded from parent to accept an SoEngineOutput pointer argument.

See also
  SbPList::append()

## ◆ insert()

void SoEngineOutputList::insert | ( | SoEngineOutput * | output,
|  | const int | insertbefore )
| inline

Insert item at index insertbefore.

insertbefore should not be larger than the current number of items in the list.

Overloaded from parent to accept an SoEngineOutput pointer argument.

See also
  SbPList::insert()

## ◆ operator[]()

SoEngineOutput * SoEngineOutputList::operator[] | ( | const int | idx | ) | const
| inline

Returns element at index.

Will automatically expand the size of the internal array if index is outside the current bounds of the list. The values of any additional pointers are then set to `NULL`.

Overloaded from parent to return an SoEngineOutput pointer.

See also
  SbPList::operator[]()

## ◆ set()

void SoEngineOutputList::set | ( | const int | index,
|  | SoEngineOutput * | item )
| inline

Index operator to set element at index. Does not expand array bounds if index is outside the list.

Overloaded from parent to destruct the replaced item.

See also
  SbPList::set()

The documentation for this class was generated from the following files:

- SoEngineOutputList.h
- SoEngineOutputList.cpp